/*******************************************************************************
* Copyright 2017-2020 Intel Corporation.
*
* This software and the related documents are Intel copyrighted  materials,  and
* your use of  them is  governed by the  express license  under which  they were
* provided to you (License).  Unless the License provides otherwise, you may not
* use, modify, copy, publish, distribute,  disclose or transmit this software or
* the related documents without Intel's prior written permission.
*
* This software and the related documents  are provided as  is,  with no express
* or implied  warranties,  other  than those  that are  expressly stated  in the
* License.
*
* License:
* http://software.intel.com/en-us/articles/intel-sample-source-code-license-agr
* eement/
*******************************************************************************/


#include "winres.h"

#ifdef USE_TBB
#define LIB_THREADS "TBB Threading Layer"
#elif defined USE_OMP
#define LIB_THREADS "OpenMP Threading Layer"
#else
#define LIB_THREADS ""
#endif

#define STR2(x)           #x
#define STR(x)       STR2(x)

#define _IPP_VERSION ""

VS_VERSION_INFO VERSIONINFO
 FILEVERSION VERSION()
 PRODUCTVERSION VERSION()
 FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
 FILEFLAGS 0x1L
#else
 FILEFLAGS 0x0L
#endif
 FILEOS VOS_NT_WINDOWS32
 FILETYPE VFT_DLL
 FILESUBTYPE 0x0L
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904b0"
        BEGIN
         VALUE "CompanyName", "Intel Corporation.\0"
         VALUE "FileVersion", STR( VERSION() ) "\0"
         VALUE "ProductName", IPP_LIB_SHORTNAME()  ". Intel(R) Integrated Performance Primitives. " IPP_LIB_LONGNAME() ".\0"
         VALUE "ProductVersion", STR_VERSION() "\0"
         VALUE "LegalCopyright", "Copyright (C) 2017-2020, Intel Corporation. All rights reserved.\0"

         VALUE "Comments", "Intel(R) Integrated Performance Primitives. " IPP_LIB_LONGNAME() ".\0"
         VALUE "FileDescription", IPP_LIB_PREFIX() _IPP_VERSION ".dll is the " LIB_THREADS " " IPP_LIB_SHORTNAME() " dynamic library\0"
         VALUE "InternalName", IPP_LIB_PREFIX() _IPP_VERSION ".dll\0"
         VALUE "OriginalFilename", IPP_LIB_PREFIX() _IPP_VERSION ".dll\0"
      END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1200
    END
END
/* ////////////////////////////// End of file /////////////////////////////// */